Package org.apache.sysds.utils.stats

## Class ParForStatistics

- java.lang.Object
- - org.apache.sysds.utils.stats.ParForStatistics

    public class ParForStatistics
    extends Object

### Constructor Summary

Constructors
`ParForStatistics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `displayStatistics()`
`static long` `getInitTime()`
`static long` `getMergeTime()`
`static long` `getOptCount()`
`static long` `getOptTime()`
`static void` `incrementInitTime​(long time)`
`static void` `incrementMergeTime​(long time)`
`static void` `incrementOptimCount()`
`static void` `incrementOptimTime​(long time)`
`static void` `reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParForStatistics

    public ParForStatistics()

### Method Detail

#### incrementOptimCount

    public static void incrementOptimCount()

#### incrementOptimTime

    public static void incrementOptimTime​(long time)

#### incrementInitTime

    public static void incrementInitTime​(long time)

#### incrementMergeTime

    public static void incrementMergeTime​(long time)

#### getOptCount

    public static long getOptCount()

#### getOptTime

    public static long getOptTime()

#### getInitTime

    public static long getInitTime()

#### getMergeTime

    public static long getMergeTime()

#### reset

    public static void reset()

#### displayStatistics

    public static String displayStatistics()